'use strict';

var path = require('path');
var assetsPath = path.join(__dirname, 'sass');

// Only include bootstrap.scss so that bootstrap loads correctly.
// In eyeglass, the name of the sass module is "bootstrap-sass".
// In Ruby/Rails, it is "bootstrap".
module.exports = function(eyeglass, sass) {
  return {
    sassDir: assetsPath,
    assets: eyeglass.assets.export(assetsPath, {
      globOpts: {
        ignore: ['purple/_bootstrap.scss']
      }
    })
  };
};
